Bug 193329 - random kernel lockup accessing hard drive
random kernel lockup accessing hard drive
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-27 09:50 EDT by Viswa Bala
Modified: 2008-01-19 23:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:38:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log when the crash occured. This is the first time this log message is produced. Previous crashes didnt produce any. (11.70 KB, application/octet-stream)
2006-05-27 09:50 EDT, Viswa Bala
no flags Details
boot message (28.75 KB, application/octet-stream)
2006-05-27 09:52 EDT, Viswa Bala
no flags Details

  None (edit)
Description Viswa Bala 2006-05-27 09:50:59 EDT
Description of problem:
The kernel locks up randomly under high IO. The server has two Maxtor SATA 
harddrives (raid 0). When this happens the hard drive lights are lit, and the 
system is non responsive to ssh, terminal etc. Only way to bring it back is to 
hard reboot. This is very similar to Bug# 185724. I am filing this so it can be 
tracked on FC5 as well. We have two servers which have the same hard drive 
configuration and this happens on both.

Version-Release number of selected component (if applicable):
uname -a:
Linux mail02 2.6.16-1.2111_FC5 #1 SMP Thu May 4 21:16:04 EDT 2006 x86_64 x86_64 
x86_64 GNU/Linux

How reproducible:
Random

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
lspci output:
00:00.0 Host bridge: Intel Corporation E7320 Memory Controller Hub (rev 0c)
00:02.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A (rev 
0c)
00:03.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A1 
(rev 0c)
00:1c.0 PCI bridge: Intel Corporation 6300ESB 64-bit PCI-X Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 6300ESB USB Universal Host Controller 
(rev 02)
00:1d.1 USB Controller: Intel Corporation 6300ESB USB Universal Host Controller 
(rev 02)
00:1d.4 System peripheral: Intel Corporation 6300ESB Watchdog Timer (rev 02)
00:1d.5 PIC: Intel Corporation 6300ESB I/O Advanced Programmable Interrupt 
Controller (rev 02)
00:1d.7 USB Controller: Intel Corporation 6300ESB USB2 Enhanced Host Controller 
(rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 0a)
00:1f.0 ISA bridge: Intel Corporation 6300ESB LPC Interface Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 6300ESB SATA Storage Controller (rev 
02)
00:1f.3 SMBus: Intel Corporation 6300ESB SMBus Controller (rev 02)
03:03.0 Ethernet controller: Intel Corporation 82541GI/PI Gigabit Ethernet 
Controller
03:04.0 Ethernet controller: Intel Corporation 82541GI/PI Gigabit Ethernet 
Controller
04:05.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
Comment 1 Viswa Bala 2006-05-27 09:50:59 EDT
Created attachment 130066 [details]
log when the crash occured. This is the first time this log message is produced. Previous crashes didnt produce any.
Comment 2 Viswa Bala 2006-05-27 09:52:22 EDT
Created attachment 130067 [details]
boot message
Comment 3 Viswa Bala 2006-05-27 10:08:33 EDT
hdparm output:
hdparm -I /dev/sda

/dev/sda:

ATA device, with non-removable media
        Model Number:       Maxtor 6V160E0                          
        Serial Number:      V3906TZG            
        Firmware Revision:  VA111610

hdparm -I /dev/sdb

/dev/sdb:

ATA device, with non-removable media
        Model Number:       Maxtor 6V160E0                          
        Serial Number:      V3906N7G            
        Firmware Revision:  VA111610

Comment 4 Dave Jones 2006-10-16 17:04:08 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:38:58 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.